<template>
    <div class="client-details-page">
        <MtaBreadcrumb></MtaBreadcrumb>
        <!--网站行业资讯详情页-->
        <div class="client-details-wrap">
            <h1>{{infoData.title}}</h1>
            <p><i></i><span>{{infoData.startTime}}</span><i type="visits"></i><span>{{infoData.visits}}</span></p>
            <div class="client-content-box" v-html="infoData.content"></div>
        </div>
    </div>
</template>

<script>
    import MtaBreadcrumb    from '@/components/client/common/MtaBreadcrumb.vue';
    import { homeIndustryInfo } from '@/api/login.js';
    export default {
        name:       'courseDev',
        props:      {
        },
        data() {
            return {
                iiId:  '',
                infoData:{}
            };
        },
        components: {
            MtaBreadcrumb
        },
        computed:   {},
        methods:    {
            handleSelect(key, keyPath) {
                if (key === '考试平台') {
                    window.location.href = "https://www.baidu.com";
                } else if (key === '培训平台') {
                    window.location.href = "http://39.97.175.90:7788/zentao/my/";
                } else {
                    this.$router.push({ name: key });
                }
            },
            getIndustryInfo(){
                let req = {
                    iiId  : this.iiId,
                    }
                homeIndustryInfo(req).then(res=>{
                       if(res.code===0){
                           console.log(res.data);
                          this.infoData =  res.data
                       }
                })

            }

        },
        created() {
           console.log(this.$route.params);
           this.iiId = this.$route.params.iiId;
           this.getIndustryInfo()
        },
        mounted() {

        },
        beforeDestroy() {
        },
    };
</script>
<style>

</style>
